<!DOCTYPE html>
<html lang="en">
<head>
  <title>Bootstrap Example</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body>

<div class="container">
  <h2>Striped Rows</h2>
  <p>The .table-striped class adds zebra-stripes to a table:</p>            
  <table class="table table-striped">
    <thead>
      <tr>
        <th>Firstname</th>
        <th>Lastname</th>
        <th>Email</th>
        <th> Details</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>John</td>
        <td>Doe</td>
        <td>john@example.com</td>
        <td> <button id="btn-info-1" class="btn btn-info"> info 1 </button> </td>
      </tr>
      <tr>
        <td>Mary</td>
        <td>Moe</td>
        <td>mary@example.com</td>
        <td> <button id="btn-info-2" class="btn btn-info"> info 2 </button> </td>
      </tr>
      <tr>
        <td>July</td>
        <td>Dooley</td>
        <td>july@example.com</td>
        <td> <button id="btn-info-3" class="btn btn-info"> info 3</button> </td>
      </tr>
    </tbody>
  </table>
</div>

</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  $(document).ready(function (){
     $("#btn-info-1").on("click",onClickBtn1);
     $("#btn-info-2").on("click",onClickBtn2);
     $("#btn-info-3").on("click",onClickBtn3);
  })

  /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */ 
  function onClickBtn1()
  {
      $("#btn-info-1")
        .parents("tr")
        .css({"color":"white", "background":"blue"});
  }
  function onClickBtn2()
  {
    $("#btn-info-2")
      .parents()
      .find(".container")
      .css({"border":"2px solid green"});
  }
  function onClickBtn3()
  {
    $("#btn-info-3")
       .parents("tr")
       .find("td:nth-child(3)")
       .css({"color" : "red"});
  }
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/ 
</script>
</html>
